<?php
	require_once('include.php');

	// File Upload
	if ( get_option('editormonkey_upload') == 'true' ) {
		echo 'FCKConfig.LinkBrowser = true;';
		echo 'FCKConfig.ImageBrowser = true;';
		echo 'FCKConfig.FlashBrowser = true;';
	} else {
		echo 'FCKConfig.LinkBrowser = false;';
		echo 'FCKConfig.ImageBrowser = false;';
		echo 'FCKConfig.FlashBrowser = false;';
	}
	
	// Plugins 
	
	// Spellchecking...use SpellCheck unless em_spell is none or phpspell 
	$speller = get_option('editormonkey_spell');
	switch ($speller)  {
	case 'none':
		$em_spell= "";
		break;
	case 'Jacuba':
		$em_spell= ", ['Jacuba']";
		break;
	default: // ieSpell or SpellerPages
		$em_spell = ", ['SpellCheck']";
	}
?>

FCKConfig.PluginsPath = FCKConfig.BasePath + 'plugins/' ;
FCKConfig.Plugins.Add( 'wordpress', "en" ) ;
FCKConfig.Plugins.Add( 'jacuba', "en" ) ;
				
FCKConfig.ToolbarSets["Comments"] = [
	['Bold','Italic','Underline'],	['OrderedList','UnorderedList'],
	['Smiley'], ['Undo','Redo'] <?php echo $em_spell; ?>
] ;

FCKConfig.ToolbarSets["Basic"] = [
	['Bold','Italic','Underline'],	['OrderedList','UnorderedList'],
	['Link','Unlink','-','Smiley'], ['Undo','Redo'] <?php echo $em_spell; ?>
] ;

FCKConfig.ToolbarSets["Simple"] = [
	['Bold','Italic','Underline'],	['TextColor','FontSize'], ['OrderedList','UnorderedList'],
	['Link','Unlink','-','Image','Smiley'], ['Undo','Redo'] <?php echo $em_spell; ?>
] ;

FCKConfig.ToolbarSets["WordPress"] = [
	['Templates','Save','-','Print'] <?php echo $em_spell; ?>, ['Undo','Redo'],
	['SelectAll','Cut','Copy','Paste','PasteText','PasteWord'],
	['Find','Replace'], ['UniversalKey'], ['Source'],
	'/',
	['Link','Unlink','Anchor'],	['Image','Flash','Table','Rule','Smiley','SpecialChar'],
	['WordPressMore','WordPressNextPage'],
	'/',
	['Bold','Italic','Underline','StrikeThrough','-','Subscript','Superscript'],
	['OrderedList','UnorderedList','-','Outdent','Indent'],
	['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],
	['TextColor','BGColor'], ['RemoveFormat'],
	'/',
	['Style','FontFormat','FontName','FontSize']
] ;

FCKConfig.ToolbarSets["Advanced"] = [
	['Templates','Save','-','Print'] <?php echo $em_spell; ?>, ['Undo','Redo'],
	['SelectAll','Cut','Copy','Paste','PasteText','PasteWord'],
	['Find','Replace'],	['UniversalKey'],	['Source'],
	'/',
	['Link','Unlink','Anchor'],	['Image','Flash','Table','Rule','Smiley','SpecialChar'],
	['Form','Checkbox','Radio','TextField','Textarea','Select','Button','ImageButton','HiddenField'],
	'/',
	['Bold','Italic','Underline','StrikeThrough','-','Subscript','Superscript'],
	['OrderedList','UnorderedList','-','Outdent','Indent'],
	['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],
	['TextColor','BGColor'], ['RemoveFormat'],
	'/',
	['Style','FontFormat','FontName','FontSize']
] ;
