<?
// Update preferences and other actions
if ($_POST['editormonkey_action']=='Submit Changes') {
	update_option('editormonkey_use', $_POST['em_use']);
	update_option('editormonkey_overrideusers', $_POST['em_override']);
	update_option('editormonkey_interface', $_POST['em_interface']);
	update_option('editormonkey_height', $_POST['em_height']);
	update_option('editormonkey_toolbar', $_POST['em_toolbar']);
			
	if ( ! ereg( '/$', $_POST['em_upload_dir'] ) )
		$_POST['em_upload_dir'] .= '/' ;
	if ( ! ereg( '/$', $_POST['em_upload_rel'] ) )
		$_POST['em_upload_rel'] .= '/' ;
	update_option('editormonkey_upload', $_POST['em_upload']);
	update_option('editormonkey_upload_dir', $_POST['em_upload_dir']);
	update_option('editormonkey_upload_rel', $_POST['em_upload_rel']);
	
	update_option('editormonkey_aspell', $_POST['em_aspell']);
	update_option('editormonkey_lang', $_POST['em_lang']);
	update_option('editormonkey_spell', $_POST['em_spell']);
	update_option('editormonkey_spell_words', $_POST['em_spellwords']);
	
	update_option('editormonkey_custom_styles', $_POST['em_custom_styles']);
	
	update_option('editormonkey_comm', $_POST['em_comments']);
	update_option('editormonkey_comm_size', $_POST['em_comments_height']);
	update_option('editormonkey_comm_if', $_POST['em_comments_interface']);
	update_option('editormonkey_comm_tb', $_POST['em_comments_toolbar']);
	update_option('editormonkey_comm_fck_skin', $_POST['em_comments_fckskin']);	
	
	update_option('editormonkey_fck_skin', $_POST['em_fck_skin']);
	update_option('editormonkey_fck_fileconnector', $_POST['em_fck_fileconnector']);
	
	update_option('editormonkey_mce_compress', $_POST['em_mce_compress']);
	if ( !isset( $_POST['em_mce_resize'] ) ) {
		$_POST['em_mce_resize'] = 'false';
	}
	update_option('editormonkey_mce_extended', $_POST['em_mce_extended']);
	update_option('editormonkey_mce_resize', $_POST['em_mce_resize']);
	update_option('editormonkey_mce_plugins', $_POST['em_mce_plugins']);
	update_option('editormonkey_mce_addparams', $_POST['em_mce_addparams']);	
	update_option('editormonkey_mce_valid_elements', $_POST['em_mce_valid_elements']);
	update_option('editormonkey_mce_css_content', $_POST['em_mce_css_content']);		
	update_option('editormonkey_mce_css_editor', $_POST['em_mce_css_editor']);
	
	/*
		When working with the toolbars_data option, must retrieve the entire thing into
		a variable, modify just the one toolbar that was updated, and save the result
	*/
		
	// Disable the default WYSIWYG?
	if ( !isset( $_POST['em_disable_builtin'] ) )
		$_POST['em_disable_builtin'] = 'false';
	else
		update_option('rich_editing', 'false');
	update_option('editormonkey_disable_builtin',$_POST['em_disable_builtin']);
	
	// Update the personal dictionary
	editormonkey::create_dictionary( 0 );
	
	// Check the upload directory
	error_reporting( 0 ) ;
	$uploaddir = get_option('editormonkey_upload_dir');
	if ( substr($uploaddir, strlen($uploaddir)-1) == '/' ) { 
		$uploaddir = substr($uploaddir, 0, -1);
	}			
	if ( is_dir( $uploaddir ) ) {
		$oldumask = umask(0) ;
		chmod( $uploaddir, 0777 ) ;
		umask( $oldumask ) ;
	}
	else {
		mkdir($uploaddir, 0777);
	}
	// Make sure to set the permissions on the EditorMonkey directories
	em_set_perms(dirname(__FILE__).DIRECTORY_SEPARATOR.'editormonkey'.DIRECTORY_SEPARATOR);
	ini_restore( 'error_reporting' ) ;
	
	$msg_result = 'EditorMonkey settings updated at ' . date('h:i:s a') . '.';
}


// Display status update and panel here
if ($msg_result) {
?>
<div class="updated"><p><?php echo $msg_result; ?></p></div><?php
}
?>

		<div class="wrap">		
		<h2>EditorMonkey v<?php $version = get_option('editormonkey_version'); 
				echo floor($version/100) . '.' . ($version%100)/10; ?> Configuration 
		</h2>

		<form name="editormonkey_config" method="post" action="<?php echo $path ?>">
			<p>
			<input name="editormonkey_action" type="submit" id="editor_action" value="Submit Changes">
			<input type="reset" name="Reset" value="Reset">	
			</p>

		<div id="emgrabit" class="dbx-group">
		
		<fieldset id="em_systemsettings" class="dbx-box">
		<h3 class="dbx-handle">System Settings</h3>
		<div class="dbx-content"> 
			<br />
			<div>
				<input name="em_use" type="checkbox" id="em_use" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_use')); ?> />
				<strong>Automatically use the EditorMonkey interface?</strong>
				<p>This will automatically load the EditorMonkey WYSIWYG editor interface selected below, unless the user (in WP2 only) chooses otherwise.</p>
			</div>

			<div>
				<input name="em_disable_builtin" id="em_disable_builtin" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_disable_builtin')); ?> />	
				<strong>Automatically disable WordPress from loading the built-in WYSIWYG editor by default?</strong> 
				<p>WordPress admins can choose to have the built-in WYSIWYG editor loaded by default from the Options>Writing panel. The built-in WYSIWYG editor will interfere with EditorMonkey's editor and could crash the browser, so EditorMonkey will disable it by default unless you decide otherwise.</p>
			</div>
	  
			<div>
				<input name="em_override" id="em_override" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_overrideusers')); ?> />	  
				<strong>Override user preferences?</strong> 
				<p>This will override all user preferences with the settings for the plugin set on this page. User preferences will not be changed.</p>
			</div>
			<br />
		</div>
		</fieldset>


		<fieldset id="em_basicsettings" class="dbx-box">
		<h3 class="dbx-handle">Basic Interface Settings</h3>
		<div class="dbx-content">
			<br />
			<div>
				<strong>Default WYSIWYG interface: </strong> 
				<select name="em_interface" id="em_interface">
					<option value="fckeditor" <?php if(get_option('editormonkey_interface')=='fckeditor') echo 'selected="selected"'; ?>>FCKEditor &nbsp;</option>
					<option value="tinymce" <?php if(get_option('editormonkey_interface')=='tinymce') echo 'selected="selected"'; ?>>TinyMCE &nbsp;</option>
				</select>
				<p>FCKeditor offers more advanced features, but is not integrated with WordPress. TinyMCE offers a simpler interface and fewer features, but is integrated with WordPress.</p>
			</div>
	  
			<div>
			<strong>Default editing area height: </strong> 
			<input type="text" name="em_height" id="em_height" value="<?php echo get_option('editormonkey_height'); ?>"/>
			<p>The size of the editing area should be large enough to include the editing area AND the toolbars.</p>
			</div>
			
			<div>
				<strong>Default language: </strong> 
				<?php language_selection(get_option('editormonkey_lang')); ?>
				<p>This language will be used by the editor to display tooltips, prompts, and labels. The spell checker will use the selected language's dictionary when spellchecking the document. Not all languages are supported by all the editors, and not all languages are supported by the spell checker.</p>
			</div>
			
			<div>			
				<strong>Editor toolbar button set:</strong> 
				<select name="em_toolbar" id="em_toolbar">
					<option value="WordPress" <?php if(get_option('editormonkey_toolbar')=='WordPress') echo 'selected="selected"'; ?>>WordPress Controls &nbsp;</option>
					<option value="Basic" <?php if(get_option('editormonkey_toolbar')=='Basic') echo 'selected="selected"'; ?>>Basic Controls &nbsp;</option>
					<option value="Simple" <?php if(get_option('editormonkey_toolbar')=='Simple') echo 'selected="selected"'; ?>>Simple Controls &nbsp;</option>
					<option value="Custom" <?php if(get_option('editormonkey_toolbar')=='Custom') echo 'selected="selected"'; ?>>Custom Toolbar &nbsp;</option>
				</select>
				<p>The <em>Basic</em> toolbar provides a minimal set of buttons. The <em>Simple</em> toolbar most closely approximates the  toolbar for the built-in rich editor. The <em>WordPress</em> toolbar contains buttons for all webpage elements that are likely to be used in a WordPress post or page. The <em>Custom</em> toolbar will use the toolbars selected in the TinyMCE and FCKeditor sections of this page depending on which editor you use; it allows you to use different toolbars in each.</p>
			</div>
			<br />
		</div>
		</fieldset>
	
	
		<fieldset id="em_filebrowsersettings" class="dbx-box">
		<h3 class="dbx-handle">File Browser/Uploader Settings</h3>
		<div class="dbx-content">
			<br />
			<div>		  		  
				<input name="em_upload" id="em_upload" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_upload')); ?> /> 
				<strong>Allow uploads and file browsing?</strong> 
				<p>If this is selected, all users with Contributor roles or above will be able to upload to and browse folders within the upload directory.</p>
			</div>
			<div>
				<strong>Upload Directory: (Absolute Path)</strong>
				<input type="text" name="em_upload_dir" id="em_upload_dir" size="75" value="<?php echo stripslashes(get_option('editormonkey_upload_dir')); ?>"/>
				<p>The base upload directory. All users who can edit posts will be able to upload and delete files. Make sure that you include the full path to the upload directory on your server, and that the upload directory is located below (that is, somewhere within) the document root directory of your website.<br/><em>Example:</em> /home/USER/mydomain.com/UserFiles/</p>
			</div>
			<div>
				<strong>Web Path (Relative Path): </strong>
				<input type="text" name="em_upload_rel" id="em_upload_rel" size="75" value="<?php echo get_option('editormonkey_upload_rel'); ?>"/>
				<p>The web path to the upload directory. You can enter a path relative to your document root if your server supports that option.<br/><em>Example:</em> http://www.mywebsite/UserFiles/<br/><em>Example:</em> /UserFiles/</p>
			</div>
			<br />
		</div>
		</fieldset>
	
		  
		<fieldset id="em_spellsettings" class="dbx-box">
		<h3 class="dbx-handle">Spell Checker Settings</h3>
		<script type="text/javascript">
			function spellOpts(argie) { 
				switch (argie) {
					case 'SpellerPages': 
						document.getElementById("spellerpagesoptions").style.display="block";
						break;
					default:
						document.getElementById("spellerpagesoptions").style.display="none";
				}
			}
		</script>
		<div class="dbx-content">
			<br />
			<div>
				<p>The <strong>Jacuba</strong> spellchecking service is offered by Jacuba for free. It requires Internet Explorer, Mozilla, or Firefox. <strong>Speller Pages</strong> is server side and requires access to the shell, but is the most powerful. <strong>ieSpell</strong> runs client-side (in the user's browser), but has to be installed separately and only works in Internet Explorer. Firefox users may <strong>Spellbound</strong>, which automatically integrates itself into the ditor. Download Spellbound <a href='http://spellbound.sourceforge.net/download'>here</a> or <a href='http://exchangecode.com/spellbound/downloads/spellbound-dev_20060108.xpi'>here</a>.</p>
				<p>
				<strong>Spell Checker: </strong>
				<select name="em_spell" id="em_spell" onchange="spellOpts(this.value)">
					<option value="none" <?php if(get_option('editormonkey_spell')=='none') echo 'selected="selected"'; ?>>No Spell Checker &nbsp;</option>
					<option value="Jacuba" <?php if(get_option('editormonkey_spell')=='Jacuba') echo 'selected="selected"'; ?>>Jacuba &nbsp;</option>
					<option value="SpellerPages" <?php if(get_option('editormonkey_spell')=='SpellerPages') echo 'selected="selected"'; ?>>Speller Pages &nbsp;</option>
					<option value="ieSpell" <?php if(get_option('editormonkey_spell')=='ieSpell') echo 'selected="selected"'; ?>>ieSpell &nbsp;</option>
				</select>
				</p>
			</div>
			
			<div name="spellerpagesoptions" id="spellerpagesoptions" <?php if(get_option('editormonkey_spell')!='SpellerPages') echo 'style="display: none;"' ?>>
				<div>
					<strong>Path to aspell program: </strong> 
					<input type="text" name="em_aspell" id="em_aspell" value="<?php echo stripslashes(get_option('editormonkey_aspell')); ?>"/>
					<p>Aspell is the spell checking program used to spellcheck posts. If you don't know the path to aspell on your server, please contact your webhost.</p>
				</div>
				
				<div>
					<strong>Dictionary (Speller Pages): </strong>
	 				<p>Enter words you want the spell checker to ignore, one per line. Users will use their own dictionary unless the plugin is set to override user settings.</p>
					<textarea name="em_spellwords" id="em_spellwords" rows="10" cols="30"><?php echo get_option('editormonkey_spell_words'); ?></textarea>
				</div>
			</div>
			<br />
		</div>
		</fieldset>
		  
		  
		<fieldset id="em_misc" class="dbx-box">
		<h3 class="dbx-handle">Miscellaneous Settings</h3>
		<div class="dbx-content">
			<br />
			<div>
			<strong>Custom CSS Styles:</strong> 
			<p>These custom CSS styles will be added to the Styles lists of TinyMCE and FCKeditor* when you are editing a post. They will also be loaded by WordPress so that the style shows up when the post is viewed.</p><p>*Currently, this option does not work with FCKeditor.</p>
				<textarea name="em_custom_styles" id="em_custom_styles" rows="5" cols="75" style="width:95%" wrap="soft"><?php echo stripslashes(get_option('editormonkey_custom_styles')); ?></textarea>
			</div>
			
			<br />
		</div>
		</fieldset>
		  
		  
		<fieldset id="em_fcksettings" class="dbx-box">
		<h3 class="dbx-handle">FCKeditor Settings</h3>
		<div class="dbx-content">
			<br />
			<div>
				<strong>Graphical skin: </strong>
				<select name="em_fck_skin" id="em_fck_skin">
					<option value="default" <?php if(get_option('editormonkey_fck_skin')=='default') echo 'selected="selected"'; ?>>Default &nbsp;</option>
					<option value="office2003" <?php if(get_option('editormonkey_fck_skin')=='office2003') echo 'selected="selected"'; ?>>Office 2003 &nbsp;</option>
					<option value="silver" <?php if(get_option('editormonkey_fck_skin')=='silver') echo 'selected="selected"'; ?>>Silver &nbsp;</option>
				</select>
				<p>The graphical skin does not provide any functionality. It simly changes the look of the FCKeditor toolbar and buttons.</p>
			</div>
			<div>			
				<strong>Toolbar:</strong> 
				<select name="em_fck_toolbar" id="em_fck_toolbar">
					<option value="WordPress" <?php if(get_option('editormonkey_fck_toolbar')=='WordPress') echo 'selected="selected"'; ?>>WordPress Controls &nbsp;</option>
					<option value="Basic" <?php if(get_option('editormonkey_fck_toolbar')=='Basic') echo 'selected="selected"'; ?>>Basic Controls &nbsp;</option>
					<option value="Simple" <?php if(get_option('editormonkey_fck_toolbar')=='Simple') echo 'selected="selected"'; ?>>Simple Controls &nbsp;</option>
					<option value="Advanced" <?php if(get_option('editormonkey_fck_toolbar')=='Advanced') echo 'selected="selected"'; ?>>Advanced Controls &nbsp;</option>
				</select>
				<p>The <em>Basic</em> toolbar provides a minimalistic set of buttons. The <em>Simple</em> toolbar most closely approximates the toolbar for the built-in rich editor. The <em>WordPress</em> toolbar contains buttons for all webpage elements that are likely to be used in a WordPress post or page. The <em>Advanced</em> toolbar contains all of the buttons used by FCKeditor.</p>
			</div>
			<br />
		</div>
		</fieldset>
		  
		 
		<fieldset id="em_mcesettings" class="dbx-box">
		<h3 class="dbx-handle">TinyMCE Settings</h3>
		<div class="dbx-content">
			<br />
			<div>		  		  
				<input name="em_mce_compress" id="em_mce_compress" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_mce_compress')); ?> /> 
				<strong>Use Cached?</strong> 
				<p>If this is selected, TinyMCE will be compressed and cached. It will load significantly faster on subsequent visits to the editing page. Disable this option if you have problems using TinyMCE.</p>
			</div>
			
			<div>		  		  
				<input name="em_mce_resize" id="em_mce_resize" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_mce_resize')); ?> /> 
				<strong>Allow resizing?</strong> 
				<p>If this is selected, all users will be able to resize the editing area graphically (ie, Windows style) when they are editing posts.</p>
			</div>
			
			<div>
			<strong>Toolbars:</strong> <br/>
			<p> The TinyMCE Toolbar Editor opens in a popup window. You can create and edit toolbars to use in TinyMCE.
			</p><p>
			<input type="button" onclick="window.open('<?php echo get_settings('siteurl'). "/wp-content/plugins/editormonkey/toolbars_mce.php";?>','toolbarWin', 'resizable=no,width=475,height=400');" value="TinyMCE Toolbar Editor"></p>
			</div>
			
			<div>
			<strong>Plugins (Advanced):</strong> 
			<p>Selected (highlighted) plugins will be loaded by TinyMCE. To choose multiple plugins, press the CTRL button when you click on an entry in the list. To unselect a plugin, press the CTRL button when you click on that entry in the list.</p>
			<p>The list of plugins is generated by scanning your <a href="<?php echo get_settings('siteurl'). "/wp-content/plugins/editormonkey/tinymce/plugins/";?>">TinyMCE plugins directory</a>, so you can install more TinyMCE plugins by uploading a plugin to that directory. EditorMonkey takes care of loading the spell checking plugins for you, so don't worry if you don't see those plugins in this list.
			</p>
			<p><select name="em_mce_plugins[]" size="10" multiple="multiple" style="width: 200px;">
			<?php 
				$plugins_sel = get_option('editormonkey_mce_plugins');
				$plugins_found = scan_plugins();
				while (NULL !== ($plugin = array_shift($plugins_found))) {
					if (($plugin=='iespell') || ($plugin=='jacuba') || ($plugin=='phpspell') || ($plugin=='spellerpages')) { continue; }
					echo "<option value='$plugin'" .
						(in_array($plugin, $plugins_sel) ? ' selected="selected"' : '') .
						">$plugin</option>\n";
				}
			?>
			</select></p>
			</div>
			
			<div>		  		  
				<input name="em_mce_extended" id="em_mce_extended" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_mce_extended')); ?> /> 
				<strong>Use Custom Valid HTML Elements List? (Advanced)</strong> 
				<p><em>Advanced Users Only.</em> TinyMCE automatically filters out any html tags and attributes that aren't included in its valid_elements or extended_valid_elements lists. If you have a problem with TinyMCE stripping tags and/or attributes, it is probably because they aren't on this very exclusive list. If this option is selected, TinyMCE will use the list specified below instead of the default list used by WordPress 2 and EditorMonkey.</p>
				<p> Edit the valid_elements list to your liking in the space provided below. It is okay to include linebreaks to make the list more readable, as EditorMonkey will strip the linebreaks automatically before sending the list to TinyMCE, but otherwise the contents of the list must be a valid singe-quoted (') Javascript string. See the <a href="http://tinymce.moxiecode.com/tinymce/docs/option_valid_elements.html">official documentation</a> for more information about using a custom html elements list.</p>
				<textarea name="em_mce_valid_elements" id="em_mce_valid_elements" rows="5" cols="75" style="width:95%" wrap="soft"><?php echo stripslashes(get_option('editormonkey_mce_valid_elements')); ?></textarea>
			</div>
		
			
			<div>			  		  
				<p><input name="em_mce_css_content" id="em_mce_css_content" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_mce_css_content')); ?> />
				<strong>Use Custom Editing Area Style? (Advanced)</strong></p>
				<p><em>Advanced Users Only.</em> If this is selected, EditorMonkey will load the mce_editor_content.css file, which can be used to style the editing area to your liking. Changes made to this file will only affect the editing area's appearance and possibly the appearance of content within the editing area, but will not affect the content of a post when it is displayed by WordPress.</p>
				<p><input name="em_mce_css_editor" id="em_mce_css_editor" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_mce_css_editor')); ?> /> 
				<strong>Use Custom User Interface Style? (Advanced)</strong> </p>
				<p><em>Advanced Users Only.</em> If this is selected, EditorMoney will load the mce_editor_ui.css file, which can be used to style TinyMCE's user interface. Adding new CSS classes will have no effect, but modifying the existing ones will change how the looks of TinyMCE's buttons, toolbars, and tooltips.</p>	
			</div>
			
			
			<div>
				<p><strong>Additional Parameters (Advanced): </strong></p>
				<p><em>Advanced Users Only.</em> You can pass additional parameters to the TinyMCE.init() call here. These parameters will not be parsed by EditorMonkey for correctness, so you must make sure that they are valid Javascript code blocks. Include commas after each parameter except for the last. Line breaks are not necessary, but are recommended for readability. For more info, consult the TinyMCE <a href="http://tinymce.moxiecode.com/tinymce/docs/reference_configuration.html" target="_blank">configuration reference</a> (opens in a new window).</p>
				<textarea name="em_mce_addparams" id="em_mce_addparams" rows="5" cols="75" style="width:95%" wrap="soft"><?php echo stripslashes(get_option('editormonkey_mce_addparams')); ?></textarea>
			</div>
			
			<br />
		</div>
		</fieldset>
		
		<fieldset id="em_commentsettings" class="dbx-box">
		<h3 class="dbx-handle">Comment Form Settings</h3>
		<div class="dbx-content">
			<br />
			<div>		  		  
				<input name="em_comments" id="em_comments" type="checkbox" value="true" style="display:inline" <?php checked('true', get_option('editormonkey_comm')); ?> /> 
				<strong>Use WYSIWYG comments form? </strong> 
				<p>This will replace the plain-text comments form with a simple WYSIWYG form.</p>
			</div>
		  
			<div>
				<strong>Comments form interface: </strong> 
				<select name="em_comments_interface" id="em_comments_interface">
					<option value="fckeditor" <?php if(get_option('editormonkey_comm_if')=='fckeditor') echo 'selected="selected"'; ?>>FCKEditor &nbsp;</option>
					<option value="tinymce" <?php if(get_option('editormonkey_comm_if')=='tinymce') echo 'selected="selected"'; ?>>TinyMCE &nbsp;</option>
				</select>
				<p>The interface to use in the comments form.</p>
			</div>

			<div>
				<strong>Toolbar button set: </strong> 
				<select name="em_comments_toolbar" id="em_comments_toolbar">
					<option value="Comments" <?php if(get_option('editormonkey_comm_fck_tb')=='Comments') echo 'selected="selected"'; ?>>Comments &nbsp;</option>
					<option value="Basic" <?php if(get_option('editormonkey_comm_tb')=='Basic') echo 'selected="selected"'; ?>>Basic Controls &nbsp;</option>
					<option value="Simple" <?php if(get_option('editormonkey_comm_tb')=='Simple') echo 'selected="selected"'; ?>>Simple Controls &nbsp;</option>
				</select>
				<p>Basic button sets appropriate for a comment form. Both TinyMCE and FCKeditor will use the same set of buttons for the comment form.</p>
			</div>
		  
		  	<div>
				<strong>Comments form editing area size </strong> 
				<input type="text" name="em_comments_height" id="em_comments_height" value="<?php echo get_option('editormonkey_comm_size'); ?>"/>
				<p>The size of the comment editing area, in pixels.</p>
			</div>
		
			<div>
				<strong>FCKeditor graphical skin: </strong> 
				<select name="em_comments_fckskin" id="em_comments_fckskin">
					<option value="default" <?php if(get_option('editormonkey_comm_fck_skin')=='default') echo 'selected="selected"'; ?>>Default &nbsp;</option>
					<option value="office2003" <?php if(get_option('editormonkey_comm_fck_skin')=='office2003') echo 'selected="selected"'; ?>>Office 2003 &nbsp;</option>
					<option value="silver" <?php if(get_option('editormonkey_comm_fck_skin')=='silver') echo 'selected="selected"'; ?>>Silver &nbsp;</option>
				</select>
				<p>Just a little something to make that comment form look extra nice.</p>
			</div>
		</div>
		</fieldset>
		
		</div>
		  	
			<p>
			<input name="editormonkey_action" type="submit" id="editor_action" value="Submit Changes">
			<input type="reset" name="Reset" value="Reset">			
			</p>
		
		</form>
		</fieldset>
		</div>