<?
// This file just retrieves the plugin options so the editor interfaces can use them
// Don't make any changes unless you absolutely need to

if (! isset($wp_version))
{
	// ugly, yes, but necessary
	// the dirname bit is necessary, as this file is called by numerous other files, all
	// with different paths
	include_once (dirname(__FILE__).'/../../../wp-config.php');
}

/*------------------------------------------------------------------------------*/
/* Spell checking options	*/
/*------------------------------------------------------------------------------*/
$aspell_prog = get_option('editormonkey_aspell');
$lang = get_option('editormonkey_lang');

global $current_user;
if ( (get_option('editormonkey_overrideusers') == 'true') || !$current_user->id ) {
	$dict = dirname(__FILE__)."/dictionaries/dict_0"; //--personal=testdict
} else {
	$dict = dirname(__FILE__)."/dictionaries/dict_" . $current_user->id;
}

$aspell_dict = "--personal=$dict";
$aspell_opts = "-a --lang=$lang --encoding=utf-8 --add-filter url -H $aspell_dict";



/*------------------------------------------------------------------------------*/
/* Path to user files relative to the document root (no trailing slash needed)	*/
/*------------------------------------------------------------------------------*/
// This will be set from the editormonkey plugin option
$UserFilesPath = get_option('editormonkey_upload_dir');
$UserFilesWebPath = get_option('editormonkey_upload_rel');
/*==============================================================================*/

?>