<hr noshade />
		<h3>EditorMonkey Preferences</h3>
		<p class="desc">EditorMonkey replaces the WordPress visual rich editor with a more advanced WYSIWYG editor using FCKeditor or TinyMCE.</p>
			<?php
			if ( get_option('editormonkey_overrideusers') == 'true' ) {
				?><p class="error">The plugin is currently set to override user preferences. You may make and save changes to your EditorMonkey preferences but they will not take affect. Please contact your website administrator if you wish to use your personal preferences.</p><?php
			}
			?>
		
		<div id="emgrabit" class="dbx-group">
		
		<div id="em_basicsettings" class="dbx-box dbx-box-open">
		<h3 class="dbx-handle">Basic Settings</h3>
		<div class="dbx-content">
			<div>		  		  
				<p><input name="em_use" type="checkbox" id="em_use" value="true" style="display:inline" <?php checked('true', get_user_option('em_user_use')); ?> />
					<label for="em_use"><strong>Use the EditorMonkey WYSIWYG editor instead of the WordPress visual rich editor.</strong></label>
				</p>
			</div>
		
			<div>
			<p><label for="em_interface"><strong>Editor interface to use: </strong></label> 
				<select name="em_interface" id="em_interface">
					<option value="fckeditor" <?php selected('fckeditor', get_user_option('em_user_interface'));?>/>FCKEditor &nbsp;</option>
					<option value="tinymce" <?php selected('tinymce', get_user_option('em_user_interface'));?>/>TinyMCE &nbsp;</option>
				</select></p>
			</div>
			
			<div>
			<p><label for="em_height"><strong>Editing area height, in pixels: </strong></label> 
				<input name="em_height" type="text" id="em_height" value="<?php echo get_user_option('em_user_height'); ?>" />
			</p>
			</div>
				
			<div>
			<p><label for="em_lang"><strong>Editor language: </strong></label> 
				<?php language_selection(get_user_option('em_user_lang')); ?></p>
			</div>
			
			<div>
			<p><label for="em_fck_toolbar"><strong>Toolbar button set: </strong></label>
				<select name="em_fck_toolbar" id="em_fck_toolbar">
					<option value="WordPress" <?php selected('WordPress', get_user_option('editormonkey_toolbar'));?>/>WordPress &nbsp;</option>
					<option value="Basic"  <?php selected('Basic', get_user_option('em_user_toolbar'));?>/>Basic Controls &nbsp;</option>
					<option value="Simple"  <?php selected('Simple', get_user_option('em_user_toolbar'));?>/>Simple Controls &nbsp;</option>
				</select>
			  </p>
			 </div>
		</div>
		</div>
			  
		
		<div name="em_fcksettings" id="em_fcksettings" class="dbx-box">
		<h3 class="dbx-handle">FCKEditor Preferences</h3>
		<div class="dbx-content"><h3></h3>
			<div>
				<p><label for="em_fck_skin"><strong>Toolbar graphical skin:</strong></label> <br />
					<select name="em_fck_skin" id="em_fck_skin">
						<option value="default" <?php selected('default', get_user_option('em_user_fck_skin'));?>/>Default &nbsp;</option>
						<option value="office2003" <?php selected('office2003', get_user_option('em_user_fck_skin'));?>/>Office 2003 &nbsp;</option>
						<option value="silver" <?php selected('silver', get_user_option('em_user_fck_skin'));?>/>Silver &nbsp;</option>
					</select>
				</p>
			</div>
		</div>
		</div>
		
		<div name="em_dictsettings" id="em_dictsettings" class="dbx-box">
		<h3 class="dbx-handle">Personal Dictionary</h3>
		<div class="dbx-content"><h3></h3>
			<div>
				<p><label for="em_spellwords"><?php _e('Enter the words for your personal dictionary, one per line. The spell checker will ignore these words when spellchecking posts. '); ?></label> <br />
				<textarea name="em_spellwords" id="em_spellwords" rows="10" cols="30"><?php echo get_user_option('em_user_spell_words'); ?></textarea>
				</p>
			</div>
		</div>
		</div>
		
		</div>
		
		<br clear="all" />