<html>
<head>
<title>EditorMonkey - TinyMCE Toolbar Editor</title>
<?php
// WordPress includes so we can work with options and stuff
require_once('../../../wp-config.php');

	// DEBUG -- uncomment these if you're having problems but you understand php
	//echo 'Selected for Use: ' . implode($_POST['toolbars_selected'],',') . "<br>\n";
	//echo 'Created: ' . $_POST['toolbars_create'] . "<br>\n";
	//echo 'Marked for Deletion: ' . $_POST['toolbars_delete'] . "<br>\n";
	//echo 'Raw Data: ' . $_POST['toolbars_data'] . "<br>\n";
	
	
// Helper functions
	function get_toolbars_selected() {
		return get_option('editormonkey_mce_toolbars');
	}
	function get_toolbars_raw() {
		return get_option('editormonkey_mce_toolbars_data');
	}
	function get_toolbars_names($toolbars) {
		return array_keys($toolbars);
	}
	function get_toolbars_data($toolbars) {
		return array_values($toolbars);
	}

if( $_POST['toolbars_action']) {
// Form Processing
	$toolbars_raw = get_toolbars_raw();
	$toolbars_names = get_toolbars_names($toolbars_raw);
	$toolbars_data = $_POST['toolbars_data'];
		$toolbars_data = explode(';',$toolbars_data);
	
	// Create new toolbars
	$toolbars_create = explode(',',$_POST['toolbars_create']);
	for ($i=0; $i < count($toolbars_create); $i++) {
		if ($toolbars_create[$i])
			$toolbars_names[] = $toolbars_create[$i];
	}
	
	// Delete marked toolbars
	$toolbars_names_new = array();
	$toolbars_data_new = array();
	$toolbars_delete = explode(',',$_POST['toolbars_delete']);
	for ($i=0; $i < count($toolbars_names); $i++) {
		if ( !in_array($toolbars_names[$i], $toolbars_delete) ) {
			$toolbars_names_new[] = $toolbars_names[$i];
			$toolbars_data_new[] = $toolbars_data[$i];
		}
	}
	$toolbars_names = $toolbars_names_new;
	$toolbars_data = $toolbars_data_new;

	// Save the data
	$toolbars_raw = array();
	for ($i=0; $i<count($toolbars_names); $i++) {
		$toolbars_raw[$toolbars_names[$i]] = $toolbars_data[$i];
	}
	update_option('editormonkey_mce_toolbars_data', $toolbars_raw);
	update_option('editormonkey_mce_toolbars', implode($_POST['toolbars_selected'],','));
}

$toolbars_raw = get_toolbars_raw();
$toolbars_names = get_toolbars_names($toolbars_raw);
$toolbars_data = get_toolbars_data($toolbars_raw);
?>

<script type="text/javascript" src="sort.js"></script>
<script type="text/javascript">
	var toolbarNames = new Array(); 
	var toolbarData = new Array();
	// BEGIN PHP Generated Javascript (toolbar variable assignments)
	<?php
	$count = count($toolbars_names);
	// Load toolbar names and output to Javascript variables
	for($i=0; $i<$count; $i++) {
		echo "toolbarNames[$i] = '" . $toolbars_names[$i]. "';\n";
	}
	// Load toolbar data and output to Javascript variables
	for($i=0; $i<$count; $i++) {
		echo "toolbarData[$i] = '" . $toolbars_data[$i]. "';\n";
	}
	?>
	// END PHP Generated Javascript (toolbar variable assignments)
	
	function editormonkey_reserved(tb_name) {
		// Return false if used by editormonkey
		switch (tb_name) {
			case "Basic": case "Simple": case "Comments": case "WordPress1": case "WordPress2": case "WordPress3":
				return false;
			default:
				return true;
		}
	}
	
	function checkToolbarName(tb_name) {
		if (tb_name.length <1)
			return false;
		var illegalChars = /\W/;
		// allow only letters, numbers, and underscores
		if ( illegalChars.test(tb_name) ) {
			alert( tb_name + " contains illegal characters. You may only use letters, numbers, and the underscore character in toolbar names." );
			return false;
		} 
		// check that a toolbar with this name does not already exist
		for(i=0; i<toolbarNames.length; i++) {
			if (tb_name == toolbarNames[i]) {
			alert( "Toolbar " + tb_name + " already exists. You must select a different name for the new toolbar." );
				return false;
			}
		}
		return true;
	}
		
	function createToolbar(tb_name) {		
		if ( checkToolbarName(tb_name) ) {
			var tb_create = document.getElementById('toolbars_create');
			
			// Add it to the list of existing toolbar names
			tb_create.value = tb_create.value + tb_name + ",";
			toolbarNames[toolbarNames.length] = tb_name;
			toolbarData[toolbarData.length] = " ";
			
			// Create the DOM element so that we can add it to the list of existing toolbars
			var new_toolbar = document.createElement("option");
			new_toolbar.setAttribute("value", tb_name);
			new_toolbar.innerHTML = tb_name;
			
			// Add it to the list of unused toolbars
			var tb_remaining = document.getElementById('toolbars_remaining');
			tb_remaining.appendChild(new_toolbar);
			
			// Clear out the input field containing the new toolbar's name
			var tb_create_name = document.getElementById('toolbar_create_name');
			tb_create_name.value = "";
		}
	}
	
	function duplicateToolbar(tb_name) {
		if ( checkToolbarName(tb_name) ) {		
			var tb_duped = prompt("Enter the name of the toolbar you wish to duplicate:");
			
			// check that a toolbar with this name does exist
			var tb_duped_exists = false;
			for(i=0; i<toolbarNames.length; i++) {
				if (tb_duped == toolbarNames[i]) {
					tb_duped_exists = true;
					break;
				}
			}
			if ( tb_duped_exists ) {
				var tb_create = document.getElementById('toolbars_create');
				
				// Add it to the list of existing toolbar names
				tb_create.value = tb_create.value + tb_name + ",";
				toolbarNames[toolbarNames.length] = tb_name;
				toolbarData[toolbarData.length] = toolbarData[retrieveToolbarIndex(tb_duped)];
				
				// Create the DOM element so that we can add it to the list of existing toolbars
				var new_toolbar = document.createElement("option");
				new_toolbar.setAttribute("value", tb_name);
				new_toolbar.innerHTML = tb_name;
				
				// Add it to the list of unused toolbars
				var tb_remaining = document.getElementById('toolbars_remaining');
				tb_remaining.appendChild(new_toolbar);
				
				// Clear out the input field containing the new toolbar's name
				var tb_create_name = document.getElementById('toolbar_create_name');
				tb_create_name.value = "";
			}
			else {
				alert( "Toolbar " + tb_name + " does not exist." );
			}
		}
	}
	
	function addToSelected() {
		var tb_selected = document.getElementById('toolbars_selected');
		var tb_remaining = document.getElementById('toolbars_remaining');
		var move_over = new Array();
		// Get all toolbars to add and put them in an array containing only these elements
		for (var i=0; i<tb_remaining.length; i++) {
			if (tb_remaining[i].selected == true) {
				move_over[move_over.length] = tb_remaining[i];
			}
		}
		// Move the elements over to the selected toolbars list
		for (var i=0; i<move_over.length; i++) {
			tb_selected.appendChild(move_over[i]);
		}
	}
	
	function removeFromSelected() {
		var tb_selected = document.getElementById('toolbars_selected');
		var tb_remaining = document.getElementById('toolbars_remaining');
		var move_over = new Array();
		// Get all toolbars to remove and put them in an array containing only these elements
		for (var i=0; i<tb_selected.length; i++) {
			if (tb_selected[i].selected == true) {
				move_over[move_over.length] = tb_selected[i];
			}
		}
		// Move the elements over to the remaining (unused) toolbars list
		for (var i=0; i<move_over.length; i++) {
			tb_remaining.appendChild(move_over[i]);
		}
	}
	
	function retrieveToolbarIndex(tb_name) {
		for (var i=0; i<toolbarNames.length; i++) {
			if (toolbarNames[i] == tb_name)
				return i;
		}
		return -1;
	}
	
	function viewToolbar(lst_toolbars) {
		var tb_remaining = document.getElementById(lst_toolbars);
		for (var i=0; i<tb_remaining.length; i++) {
			if (tb_remaining[i].selected == true) {
				var tb_content = toolbarData[retrieveToolbarIndex(tb_remaining[i].value)];
				alert("Contents of the " + tb_remaining[i].value  + " toolbar:\n" + tb_content);
			}
		}
	}
	
	function editToolbar() {
		var tb_remaining = document.getElementById('toolbars_remaining');
		// Get all toolbars to edit
		for (var i=0; i<tb_remaining.length; i++) {
			if (tb_remaining[i].selected == true) {
				if (!editormonkey_reserved(tb_remaining[i].value)) {
					alert ("You cannot edit the "+tb_remaining[i].value+" toolbar. It has been reserved by EditorMonkey.");
					continue;
				}
				var tb_index = retrieveToolbarIndex(tb_remaining[i].value);
				if (tb_index == -1)
					continue;
				var tb_content = toolbarData[tb_index];
				tb_content = prompt("Edit the contents of the "+tb_remaining[i].value+" toolbar. \nEditorMonkey toolbar variables:\nspellcheck = spellchecker \nmcebuttons = WP rich editor hooks", tb_content);
				// Will not save empty toolbars
				if (tb_content)
					toolbarData[tb_index] = tb_content;
			}
		}
	}
	
	function markForDeletion() {
		// Helper function
		function confirmDelete(tbDelete) {
			var agree=confirm("The " + tbDelete + " toolbar will be permanently deleted. Are you sure you wish to delete the " + tbDelete + " toolbar? ");
			if (agree) { return true; } else { return false; }
		}
		var tb_remaining = document.getElementById('toolbars_remaining');
		var tb_delete = document.getElementById('toolbars_delete');
		var move_over = new Array();
		// Get all elements to be deleted and them to array containing only those elements
		for (var i=0; i<tb_remaining.length; i++) {
			if (tb_remaining[i].selected == true) {
				if (!editormonkey_reserved(tb_remaining[i].value)) {
					alert ("You cannot delete the "+tb_remaining[i].value+" toolbar. It has been reserved by EditorMonkey.");
					continue;
				}
				if (confirmDelete(tb_remaining[i].value)) {
					move_over[move_over.length] = tb_remaining[i];
					tb_delete.value = tb_delete.value + tb_remaining[i].value + ",";
				}
			}
		}
		
		// Remove from the remaining toolbars list
		for (var i=0; i<move_over.length; i++) {
			tb_remaining.removeChild(move_over[i]);
		}
	}
	
	function doOnSubmit() {
		function stringify(array,separator) {
			var result = "";
			for (var i=0; i<array.length; i++) {
				result = result + array[i] + separator;
			}
			return result;
		}
		
		selectall('toolbars_selected');
		
		document.getElementById('toolbars_data').value = stringify(toolbarData,';');
	}
	
	function submitForm() {
		doOnSubmit();
		document.formToolbars.submit();
	}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /><style type="text/css">
<!--
body {
	background-color: #009999;
}
-->
</style></head>

<body>
<form name="formToolbars" id="formToolbars" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" onSubmit="doOnSubmit();">
<input type="hidden" name="toolbars_action" value="action"/>
<input type="hidden" name="toolbars_delete" id="toolbars_delete"/>
<input type="hidden" name="toolbars_create" id="toolbars_create"/>
<input type="hidden" name="toolbars_data" id="toolbars_data"/>
	<table border="0" align="center" cellspacing="0">
		<tr>
			<td bgcolor="#aaddFF"><strong>Active&nbsp;Toolbars:</strong></td>
			<td align="center" bgcolor="#aaddFF">&nbsp;</td>
			<td bgcolor="#aaddFF"><strong>Unused&nbsp;Toolbars:</strong></td>
		</tr>
		<tr>
			<td align="center" bgcolor="#aaddFF"><select name="toolbars_selected[]" size="10" id="toolbars_selected" multiple="multiple" >
				<?php
				$tb_selected = explode(',', get_toolbars_selected());
				for($i=0; $i<count($tb_selected); $i++) {
					echo "<option value='$tb_selected[$i]'>$tb_selected[$i]</option>";
				}
				?>
			</select></td>
			<td align="center" bgcolor="#aaddFF"><p>
				<input name="button_addselected" type="button" title="Add to Selected" onClick="addToSelected();" value="<-- Add Toolbar" />
</p>
				<p>				
					<input name="button_removeselected" type="button" title="Remove from Selected" onClick="removeFromSelected();" value="Remove Toolbar -->" />
				</p>
				<p>Active toolbars cannot be edited.<br>
				</p></td>
			<td align="center" bgcolor="#aaddFF"><select name="toolbars_remaining[]" size="10" id="toolbars_remaining" multiple="multiple">
				<?php
				for($i=0; $i<count($toolbars_names); $i++) {
					if (!in_array($toolbars_names[$i],$tb_selected))
						echo "<option value='$toolbars_names[$i]'>$toolbars_names[$i]</option>";
				}
				?>
			</select></td>
		</tr>
		<tr>
			<td align="center" bgcolor="#aaddFF"><p>
				<input name="button_move_up" type="button" title="Move up" onClick="up('toolbars_selected');" value="Move Up" />
				<br />
					<input name="button_move_down" type="button" title="Move down" onClick="down('toolbars_selected');" value="Move Down" />
				<br />
				<input name="button_view" type="button" title="View Toolbar" onClick="viewToolbar('toolbars_selected');" value="View Toolbar" />
				</p></td>
			<td align="center" bgcolor="#aaddFF"></td>
			<td align="center" bgcolor="#aaddFF"><p>
				<input name="button_view" type="button" title="View Toolbar" onClick="viewToolbar('toolbars_remaining');" value="View Toolbar" />
				<br/>
				<input name="button_edit" type="button" title="Edit Toolbar" onClick="editToolbar();" value="Edit Toolbar" />
				<br />
				<input name="button_delete" type="button" title="Delete Toolbar" onClick="markForDeletion();" value="Delete Toolbar" />
			</p></td>
		</tr>
		<tr>
			<td height="5" colspan="3" bgcolor="#99CC99"></td>
		</tr>
		<tr>
			<td colspan="3" align="center" bgcolor="#99CC99">Create New Toolbar: 
			<input type="text" name="toolbar_create_name" id="toolbar_create_name" value=""/>
			<br>
			<input name="button_create" type="button" title="Create Toolbar" value="Create Toolbar" onClick="createToolbar(document.getElementById('toolbar_create_name').value);" />
			<input name="button_create2" type="button" title="Duplicate Toolbar" value="Duplicate Toolbar" onClick="duplicateToolbar(document.getElementById('toolbar_create_name').value);" /></td>
		</tr>
		<tr>
			<td height="5" colspan="3" bgcolor="#99CC99"></td>
		</tr>
		<tr>
		<td colspan="3" align="center" bgcolor="#FFFF66">
			<p><input type="submit" value="Save Changes" /></p>
			<p><input type="button" value="Exit Without Saving" onClick="window.close()"/></p>
		</td>
		</tr>
	</table>
</form>
</body>
</html>